<template>
    <!-- Start screen -->
    <div class="welcome-screen">
        <div class="dialog-wrapper">
            <div class="dialog">
                <div class="info-text-block text-center">
                    <h2>{{ this.$parent.mainTitle }}</h2>
                    <p class="bodyl-text">{{ this.$parent.mainDesc }}</p>
                </div>
            </div>
        </div>
        <div class="dialog-wrapper dialog-wrapper-silver">
            <div class="find-number_wrapper">
                <div class="find-number_item text-center">
                    <h3>I want a new number</h3>
                    <p>Get a new telephone number instantly.</p>
                    <a href="#" @click="goToNext(); setNumberStatus(true)" class="btn btn-secondary active">Activate a new number</a>
                </div>
                <div class="find-number_item text-center">
                    <h3>I want a new SIM</h3>
                    <p>Buy a brand new SIM card instantly.</p>
                </div>
                <div class="find-number_item text-center">
                    <h3>I have a number</h3>
                    <a href="#" @click="goToNext(); setNumberStatus(false)"
                       class="btn btn-secondary active">Bring your number</a>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        inject: ['goToNext', 'setNumberStatus'],
    }
</script>
